Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.jstacs.utils.galaxy
Class GalaxyAdaptor.FileResult

    java.lang.Object
      de.jstacs.AnnotatedEntity
          de.jstacs.results.Result
              de.jstacs.utils.galaxy.GalaxyAdaptor.FileResult

All Implemented Interfaces:
  Storable

Enclosing class:
  GalaxyAdaptor

    public static class GalaxyAdaptor.FileResult

extends Result

`Result` for files that are results of some computation. Also used to link e.g. PDFs of images to `GalaxyAdaptor.LinkedImageResult`s.

Author:
  Jan Grau

Field Summary

Fields inherited from class de.jstacs.AnnotatedEntity
`comment, datatype, name`

Constructor Summary
`GalaxyAdaptor.FileResult(StringBuffer rep)` Creates a new `GalaxyAdaptor.FileResult` from its XML-representation
`GalaxyAdaptor.FileResult(String name, String comment, String fullPath)` Creates a new `GalaxyAdaptor.FileResult` with name, comment, and path to the file.
`GalaxyAdaptor.FileResult(String name, String comment, String path, String filename, String extension)` Creates a new `GalaxyAdaptor.FileResult` with name, comment, path to the file, filename and extension.

Method Summary
`protected void` | `appendFurtherInfos(StringBuffer sb)` This method can be used in the method `Storable.toXML()` to extract further information (name, comment, datatype).
`protected void` | `extractFurtherInfos(StringBuffer rep)` This method can be used in the constructor with parameter `StringBuffer` to extract the further information.
`String` | `getExtension()` Returns the filename extension
`String` | `getFilename()` Returns the filename.
`String` | `getPath()` Returns the path of the directory containing the file
`File` | `getValue()` Returns the value of the `AnnotatedEntity`.
`String` | `getXMLTag()` This method returns a tag used as outer tag of the XML description.
`void` | `setExtension(String extension)` Sets the filename extension
`void` | `setFilename(String filename)` Sets the file
`void` | `setPath(String path)` Sets the path of the directory containing the file to `path`

Methods inherited from class de.jstacs.results.Result
`checkDatatype, createResult, isCastableResult, isComparableResult`

Methods inherited from class de.jstacs.AnnotatedEntity
`getComment, getDatatype, getName, toXML`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GalaxyAdaptor.FileResult

    public GalaxyAdaptor.FileResult(String name,
                                    String comment,
                                    String fullPath)

  Creates a new `GalaxyAdaptor.FileResult` with name, comment, and path to the file.

  Parameters:
    `name` - the name of the result
    `comment` - the comment for the result
    `fullPath` - the path to the file

### GalaxyAdaptor.FileResult

    public GalaxyAdaptor.FileResult(String name,
                                    String comment,
                                    String path,
                                    String filename,
                                    String extension)

  Creates a new `GalaxyAdaptor.FileResult` with name, comment, path to the file, filename and extension.

  Parameters:
    `name` - the name of the result
    `comment` - the comment for the result
    `path` - the path to the directory containing the file
    `filename` - the filename without extension
    `extension` - the filename extension

### GalaxyAdaptor.FileResult

    public GalaxyAdaptor.FileResult(StringBuffer rep)
                             throws NonParsableException

  Creates a new `GalaxyAdaptor.FileResult` from its XML-representation

  Parameters:
    `rep` - the representation
  Throws:
    `NonParsableException` - if pre could not be parsed

Method Detail

### getXMLTag

    public String getXMLTag()

  Description copied from class: `AnnotatedEntity`
  This method returns a tag used as outer tag of the XML description.

  Specified by:
    `getXMLTag` in class `AnnotatedEntity`
  Returns:
    a tag used as outer tag of the XML description

### appendFurtherInfos

    protected void appendFurtherInfos(StringBuffer sb)

  Description copied from class: `AnnotatedEntity`
  This method can be used in the method `Storable.toXML()` to extract further information (name, comment, datatype).

  Specified by:
    `appendFurtherInfos` in class `AnnotatedEntity`
  Parameters:
    `sb` - a XML representation of the main information as `StringBuffer`
  See Also:
    `Storable.toXML()`

### extractFurtherInfos

    protected void extractFurtherInfos(StringBuffer rep)
                                throws NonParsableException

  Description copied from class: `AnnotatedEntity`
  This method can be used in the constructor with parameter `StringBuffer` to extract the further information.

  Specified by:
    `extractFurtherInfos` in class `AnnotatedEntity`
  Parameters:
    `rep` - a XML represenation of the main information as `StringBuffer`
  Throws:
    `NonParsableException` - if the XML representation is not parsable
  See Also:
    `AnnotatedEntity.AnnotatedEntity(StringBuffer)`

### getValue

    public File getValue()

  Description copied from class: `AnnotatedEntity`
  Returns the value of the `AnnotatedEntity`.

  Specified by:
    `getValue` in class `AnnotatedEntity`
  Returns:
    the value of the `AnnotatedEntity`

### getPath

    public String getPath()

  Returns the path of the directory containing the file

  Returns:
    the path

### setPath

    public void setPath(String path)

  Sets the path of the directory containing the file to `path`

  Parameters:
    `path` - the new path

### getFilename

    public String getFilename()

  Returns the filename.

  Returns:
    the filename

### setFilename

    public void setFilename(String filename)

  Sets the file

  Parameters:
    `filename` - the new filename

### getExtension

    public String getExtension()

  Returns the filename extension

  Returns:
    the extension

### setExtension

    public void setExtension(String extension)

  Sets the filename extension

  Parameters:
    `extension` - the new extension

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD